## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate maxminddb

%global testdata_commit a8ae5b4ac0aa730e2783f708cdaa208aca20e9ec
%global testdata_short  %(c=%{testdata_commit}; echo ${c:0:7})

Name:           rust-maxminddb
Version:        0.23.0
Release:        %autorelease
Summary:        Library for reading MaxMind DB format used by GeoIP2 and GeoLite2

License:        ISC
URL:            https://crates.io/crates/maxminddb
Source0:        %{crates_source}
Source1:        https://github.com/maxmind/MaxMind-DB/archive/%{testdata_commit}/test-data-%{testdata_short}.tar.gz
# Manually created patch for downstream crate metadata changes
# * bump ipnetwork dependency from 0.18 to 0.20
# * drop unused, benchmark-only criterion dev-dependency to speed up builds
Patch:          maxminddb-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Library for reading MaxMind DB format used by GeoIP2 and GeoLite2.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+memmap2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+memmap2-devel %{_description}

This package contains library source intended for building other packages which
use the "memmap2" feature of the "%{crate}" crate.

%files       -n %{name}+memmap2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+mmap-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+mmap-devel %{_description}

This package contains library source intended for building other packages which
use the "mmap" feature of the "%{crate}" crate.

%files       -n %{name}+mmap-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unsafe-str-decode-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unsafe-str-decode-devel %{_description}

This package contains library source intended for building other packages which
use the "unsafe-str-decode" feature of the "%{crate}" crate.

%files       -n %{name}+unsafe-str-decode-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1 -a1
mv MaxMind-DB-%{testdata_commit} test-data
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.23.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.23.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Aug 04 2023 Fabio Valentini <decathorpe@gmail.com> - 0.23.0-1
- Update to version 0.23.0; Fixes RHBZ#1887092

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Mar 12 2023 Fabio Valentini <decathorpe@gmail.com> - 0.17.3-9
- Regenerate with rust2rpm v24

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Nov 04 2022 Fabio Valentini <decathorpe@gmail.com> - 0.17.3-7
- Drop unused, benchmark-only criterion dev-dependency

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon May 31 2021 Fabio Valentini <decathorpe@gmail.com> - 0.17.3-1
- Update to version 0.17.3.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jun 17 17:32:24 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.14.0-1
- Update to 0.14.0

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Nov 11 14:36:11 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.13.0-1
- Initial package

## END: Generated by rpmautospec
